Skip to main content
DELETE
/
organizations
/
{organizationID}
/
projects
/
{projectID}
Delete a project
curl --request DELETE \
  --url https://api.xata.tech/organizations/{organizationID}/projects/{projectID} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.xata.tech/organizations/{organizationID}/projects/{projectID}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.xata.tech/organizations/{organizationID}/projects/{projectID}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "<string>",
  "id": "<string>"
}
{
  "message": "<string>",
  "id": "<string>"
}
{
  "message": "<string>",
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationID
string
required

Unique identifier of the organization containing the project

Pattern: [a-zA-Z0-9_-~:]+
projectID
string
required

Unique identifier of the project to delete

Response

Project successfully deleted